This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Parallel File Storage

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Parallel File Storage in JSON format. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://parallel-filestorage.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CreateSnapshot

1.1.1 - 1.0

post /v1/snapshots

Description

Create snapshot

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Request body

{
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
}

Example HTTP response

Response 202

{
    "snapshot": {
        "id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
        "name": "snapshot.2025-10-30_121212",
        "size": 100,
        "state": "available",
        "created_at": "2024-10-30T04:54:33.219373",
        "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
    }
}

1.2 - CreateVolume

1.2.1 - 1.0

post /v1/volumes

Description

Create volume

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolume
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Request body

{
    "name": "my_volume",
    "capacity_tb": 100,
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "name": "my_volume",
    "state": "available",
    "created_at": "2024-07-30T04:54:33.219373",
    "capacity_tb": 100,
    "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c"
}

1.3 - DeleteSnapshot

1.3.1 - 1.0

delete /v1/snapshots/{snapshot_id}

Description

Delete snapshot

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/snapshots/{snapshot_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Example HTTP response

Response 202

1.4 - DeleteVolume

1.4.1 - 1.0

delete /v1/volumes/{volume_id}

Description

Delete volume

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Example HTTP response

Response 202

1.5 - ListAccessRule

1.5.1 - 1.0

get /v1/access-rules

Description

List access rule

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAccessRuleListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/access-rules?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "access_rules": [
        {
            "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
            "object_type": "GPU_NODE",
            "object_name": "objectname",
            "object_state": "RUNNING",
            "access_state": "all",
            "access_ip_list": [
                {
                    "access_ip": "xxx.xxx.xxx.xxx",
                    "access_ip_state": "active"
                }
            ]
        }
    ]
}

1.6 - ListSnapshots

1.6.1 - 1.0

get /v1/snapshots

Description

List snapshots

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSnapshotListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/snapshots?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "snapshot_size_total_byte": 100,
    "snapshots": [
        {
            "id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
            "name": "snapshot.2025-10-30_121212",
            "size": 100,
            "state": "available",
            "created_at": "2024-10-30T04:54:33.219373"
        }
    ]
}

1.7 - ListVolumes

1.7.1 - 1.0

get /v1/volumes

Description

List volumes

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryoffset
optional
offset
Example : 0
integer0
querylimit
optional
limit
Example : 20
integer20
queryname
optional
Volume Name
Example : my_volume
any of [string, null]None
querysort
optional
sort
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKVolumeListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "parallel_filestorages": [
        {
            "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "name": "my_volume",
            "state": "available",
            "created_at": "2024-07-30T04:54:33.219373",
            "capacity_tb": 100,
            "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c"
        }
    ]
}

1.8 - SetAccessRule

1.8.1 - 1.0

put /v1/access-rules

Description

Set access rule

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

AccessRuleUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAccessRuleUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/access-rules?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Request body

{
    "add_access_rules": [
        {
            "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
            "object_type": "GPU_NODE"
        }
    ],
    "remove_access_rules": [
        {
            "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
            "object_type": "GPU_NODE"
        }
    ]
}

Example HTTP response

Response 202

{
    "add_access_rules": [
        {
            "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
            "object_type": "GPU_NODE"
        }
    ],
    "remove_access_rules": [
        {
            "object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
            "object_type": "GPU_NODE"
        }
    ],
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
}

1.9 - SetVolumeCapacity

1.9.1 - 1.0

put /v1/volumes/{volume_id}/capacity

Description

Set volume capacity

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
bodybody
required

VolumeCapacityRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/capacity

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Request body

{
    "capacity_tb": 100
}

Example HTTP response

Response 202

1.10 - ShowVolume

1.10.1 - 1.0

get /v1/volumes/{volume_id}

Description

Show volume

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Example HTTP response

Response 200

{
    "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "name": "my_volume",
    "state": "available",
    "created_at": "2024-07-30T04:54:33.219373",
    "capacity_tb": 100,
    "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
    "mount_path": "xxx.xx.xxx:/xxxxxxxx"
}

2 - Models

2.1 - AccessIp

NameDescriptionSchemaDefault
access_ip
required
Access IP
Example : xxx.xxx.xxx.xxx
string
access_ip_state
required
Access IP State
Example : active
string

2.2 - AccessRule

NameDescriptionSchemaDefault
object_id
required
Object ID
Example : 43fq3347-02q4-4aa8-ccf9-affe4917bb6f
string
object_type
required
Object Type
Example : GPU_NODE
Pattern : ^(GPU_NODE)$
string

2.3 - AccessRuleListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
access_rules
required

array[AccessRules]

2.4 - AccessRules

NameDescriptionSchemaDefault
object_id
required
Object ID
Example : 43fq3347-02q4-4aa8-ccf9-affe4917bb6f
string
object_type
required
Object Type
Example : GPU_NODE
string
object_name
required
Object Name
Example : objectname
string
object_state
required
Object State
Example : RUNNING
string
access_state
required
Access State
Example : all
string
access_ip_list
required

array[AccessIp]

2.5 - AccessRuleUpdateRequest

NameDescriptionSchemaDefault
add_access_rules
required

array[AccessRule]
remove_access_rules
required

array[AccessRule]

2.6 - AccessRuleUpdateResponse

NameDescriptionSchemaDefault
add_access_rules
required

array[AccessRule]
remove_access_rules
required

array[AccessRule]
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string

2.7 - Snapshot

NameDescriptionSchemaDefault
id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
string
name
required
Snapshot Name
Example : snapshot.2025-10-30_121212
string
size
required
Snapshot Size
Example : 100
integer
state
required
Snapshot State
Example : available
string
created_at
required
Created At
Example : 2024-10-30T04:54:33.219373
string (date-time)

2.8 - SnapshotCreateRequest

NameDescriptionSchemaDefault
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string

2.9 - SnapshotCreateResponse

NameDescriptionSchemaDefault
snapshot
required
Snapshot
SnapshotResponse

2.10 - SnapshotListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
snapshot_size_total_byte
optional
Snapshot Total Size
Example : 100
any of [integer, null]
snapshots
required

array[Snapshot]

2.11 - SnapshotResponse

NameDescriptionSchemaDefault
id
required
Snapshot ID
Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b
string
name
required
Snapshot Name
Example : snapshot.2025-10-30_121212
string
size
required
Snapshot Size
Example : 100
integer
state
required
Snapshot State
Example : available
string
created_at
required
Created At
Example : 2024-10-30T04:54:33.219373
string (date-time)
volume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string

2.12 - Tag

NameDescriptionSchemaDefault
key
required
Key
Example : key
Maximum length : 128
string
value
optional
Value
Example : value
any of [string, null]

2.13 - Volume

NameDescriptionSchemaDefault
id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
name
required
Volume Name
Example : my_volume
string
state
required
Volume State
Example : available
string
created_at
required
Created At
Example : 2024-07-30T04:54:33.219373
string (date-time)
capacity_tb
required
Volume Capacity
Example : 100
Minimum : 1
Maximum : 1000
integer
account_id
required
Account ID
Example : rwww523320dfvwbbefefsdvwdadsfa24c
string

2.14 - VolumeCapacityRequest

NameDescriptionSchemaDefault
capacity_tb
required
Volume Capacity
Example : 100
Minimum : 1
Maximum : 1000
integer

2.15 - VolumeCreateRequest

NameDescriptionSchemaDefault
name
required
Volume Name
Example : my_volume
Pattern : ^[a-z]([a-z0-9_]){2,20}$
string
capacity_tb
required
Volume Capacity
Example : 100
Minimum : 1
Maximum : 1000
integer
tags
optional

any of [array[Tag], null]

2.16 - VolumeListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 1
integer
parallel_filestorages
required

array[Volume]

2.17 - VolumeShowResponse

NameDescriptionSchemaDefault
id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
string
name
required
Volume Name
Example : my_volume
string
state
required
Volume State
Example : available
string
created_at
required
Created At
Example : 2024-07-30T04:54:33.219373
string (date-time)
capacity_tb
required
Volume Capacity
Example : 100
Minimum : 1
Maximum : 1000
integer
account_id
required
Account ID
Example : rwww523320dfvwbbefefsdvwdadsfa24c
string
mount_path
optional
Volume Mount Path
Example : xxx.xx.xxx:/xxxxxxxx
any of [string, null]